data:extend({

	--ammo
	
	{
		type = "ammo",
		name = "modded-ammo",
		icon = "__base__/graphics/icons/firearm-magazine.png",
		flags = {"goes-to-main-inventory"},
		ammo_type =
		{
			category = "modded-ammo",
			target_type = "direction",
			action =
			{
				type = "direct",
				action_delivery = 
				{
					type = "projectile",
					projectile = "modded-projectile",
					starting_speed = 1,
					direction_deviation = 0.1,
					range_deviation = 3,
					max_range = 30
				}
			}
		},
		magazine_size = 100,
		stack_size = 100,
		subgroup = "ammo",
		order = "a[ammo]",
	},
	
	--weapon
	
	{
		type = "gun",
		name = "modded-gun",
		icon = "__base__/graphics/icons/submachine-gun.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "gun",
		order = "a[modded-gun]",
		attack_parameters =
		{
			type = "projectile",
			ammo_category = "modded-ammo",
			cooldown = 4.2,
			movement_slow_down_factor = 0.2,
			projectile_creation_distance = 1.125,
			range = 40,
			sound = make_light_gunshot_sounds()
		},
		stack_size = 1
	},
	
	--projectile
	
	{
		type = "projectile",
		name = "modded-projectile",
		flags = {"not-on-map"},
		acceleration = 0.001,
		direction_only = true,
		collision_box = {{0,0}, {0.2, 0.2}},
		action =
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					{
						type = "damage",
						damage = { amount = 20, type = "laser"}
					}
				}
			}
		},
		animation = {
			filename = "__BasicGunMod__/graphics/bullet-long.png",
			tint = {r=0.0, g=0.3, b=1.0},
			frame_count = 1,
			width = 6,
			height = 42,
			priority = "high",
			blend_mode = "additive"
		},
	},
	
	--ammo group
	
	{
		type = "ammo-category",
		name = "modded-ammo"
	},
	
	--recipe
	
	{
		type = "recipe",
		name = "modded-ammo",
		enabled = true,
		ingredients = {},
		result = "modded-ammo"
	},
	{
		type = "recipe",
		name = "modded-gun",
		enabled = true,
		ingredients = {},
		result = "modded-gun"
	},

})